-- #103
CREATE TABLE lineitempaymentklarna (
     lineitempaymentklarnaid integer  not null
,    kr_invoiceno         varchar(255)  null
,    kr_activetranstime   datetime  null
,    kr_canceltranstime   datetime  null
,    kr_monthlycost       decimal(19,4)  null
,    kr_totalcost         decimal(19,4)  null
,    kr_billingaddresschanged bool  not null
,    klarnaperiodiccostid integer  null
,    klarnapclassid       integer  null
,    kr_emailtranstime    datetime  null
,    kr_posttranstime     datetime  null
,    kr_invoicepdfurl     varchar(500)  null
,    kr_cellphone         varchar(30)  null
,    isreservationoutofdate bool  null
,    reservationnumber    varchar(255)  null
,    protocol             varchar(255)  null

,   constraint pk_lineitempaymentklarna         primary key (lineitempaymentklarnaid)
,   constraint fk_lineitempaymentklarna_lineitempaymentklarnaid foreign key (lineitempaymentklarnaid)
        references lineitempaymentexternal          (lineitempaymentexternalid)
,   constraint fk_lineitempaymentklarna_klarnaperiodiccostid foreign key (klarnaperiodiccostid)
        references klarnaperiodiccost               (klarnaperiodiccostid)
,   constraint fk_lineitempaymentklarna_klarnapclassid foreign key (klarnapclassid)
        references klarnapclass                     (klarnapclassid)
)
GO
CREATE INDEX i_lineitempayklarna_periodicco ON lineitempaymentklarna (klarnaperiodiccostid)
GO

CREATE INDEX i_lineitempayklarna_pclassid ON lineitempaymentklarna (klarnapclassid)
GO

